const postcss = require( 'gulp-postcss' );
const gulp = require( 'gulp' );
const concat = require( 'gulp-concat' );
const react = require( 'gulp-react' );
const babel = require( 'gulp-babel' );
const autoprefixer = require( 'autoprefixer' );
const customProperties = require( 'postcss-custom-properties' );
const minmax = require( 'postcss-media-minmax' );
const nesting = require( 'postcss-nesting' );
const colorFunction = require( 'postcss-color-function' );
const cssnano = require( 'cssnano' );

gulp.task( 'react', () =>
{

	return gulp.src( './src/**/*.jsx' )
		.pipe( babel() )
		.pipe( react() )
		.pipe( gulp.dest( './lib/' ) );

} );

gulp.task( 'default', [ 'react' ] );

