'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _className = require('../../util/className');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * @class Flex
 */
var Flex = function (_React$Component) {
	_inherits(Flex, _React$Component);

	/**
  * @constructor
  */
	function Flex() {
		_classCallCheck(this, Flex);

		return _possibleConstructorReturn(this, (Flex.__proto__ || Object.getPrototypeOf(Flex)).call(this));
	}

	/**
  * Lifecycle method
  * Will Component Mounted
  * @return {void}
  */


	_createClass(Flex, [{
		key: 'componentWillMount',
		value: function componentWillMount() {
			this.class = '\n\t\t' + (this.props.reverse ? "reverse" : "") + '\n\t\t' + (this.props.start ? (0, _className.generateFlexClassNames)('start', this.props.start) : "") + '\n\t\t' + (this.props.center ? (0, _className.generateFlexClassNames)('center', this.props.center) : "") + '\n\t\t' + (this.props.end ? (0, _className.generateFlexClassNames)('end', this.props.end) : "") + '\n\t\t' + (this.props.top ? (0, _className.generateFlexClassNames)('top', this.props.top) : "") + '\n\t\t' + (this.props.middle ? (0, _className.generateFlexClassNames)('middle', this.props.middle) : "") + '\n\t\t' + (this.props.bottom ? (0, _className.generateFlexClassNames)('bottom', this.props.bottom) : "") + '\n\t\t' + (this.props.around ? (0, _className.generateFlexClassNames)('around', this.props.around) : "") + '\n\t\t' + (this.props.between ? (0, _className.generateFlexClassNames)('between', this.props.between) : "") + '\n\t\t';
		}

		/**
   * Render Component
   * @return {XML} xml
   */

	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				{ className: 'row ' + this.class },
				this.props.children
			);
		}
	}]);

	return Flex;
}(_react2.default.Component);

Flex.propTypes = {
	reverse: _propTypes2.default.bool,
	start: _propTypes2.default.arrayOf(_propTypes2.default.string),
	center: _propTypes2.default.arrayOf(_propTypes2.default.string),
	end: _propTypes2.default.arrayOf(_propTypes2.default.string),
	top: _propTypes2.default.arrayOf(_propTypes2.default.string),
	middle: _propTypes2.default.arrayOf(_propTypes2.default.string),
	bottom: _propTypes2.default.arrayOf(_propTypes2.default.string),
	around: _propTypes2.default.arrayOf(_propTypes2.default.string),
	between: _propTypes2.default.arrayOf(_propTypes2.default.string),
	children: _propTypes2.default.node
};
exports.default = Flex;