# React Flexbox Grid

Grid based on the `flex` display property.

## [Documentation](upstrike.github.io/react-flexbox-greed)

## Stylesheets

You must include the stylesheets in one of these ways for the component to work correctly.

### npm
`npm i flexboxgrid --save`

### bower
`bower install flexboxgrid`
### cdn

<code>CDNJS</code>
```html
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/flexboxgrid/6.3.1/flexboxgrid.min.css" type="text/css" >
```

## Components

You must include components in one of these ways:

	import {
		Flex,
		Col
	} from 'react-flexbox-greed';

	OR

	import Flex from 'react-flexbox-greed/lib/Flex';

	OR

	const Flex = require( 'react-flexbox-greed/lib/Flex' );

## Inspiration
[Flexbox Grid](https://github.com/kristoferjoseph/flexboxgrid)
