'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _className = require('../../util/className');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * @class Col
 */
var Col = function (_React$Component) {
	_inherits(Col, _React$Component);

	_createClass(Col, [{
		key: 'componentWillMount',


		/**
   * Lifecycle method
   * Will Component Mounted
   * @return {void}
   */
		value: function componentWillMount() {
			this.class = '\n\t\t' + (this.props.xs ? (0, _className.generateColClassName)('xs', this.props.xs) : "") + '\n\t\t' + (this.props.xsOffset ? (0, _className.generateColClassName)('xs-offset', this.props.xsOffset) : "") + '\n\t\t' + (this.props.sm ? (0, _className.generateColClassName)('sm', this.props.sm) : "") + '\n\t\t' + (this.props.smOffset ? (0, _className.generateColClassName)('sm-offset', this.props.smOffset) : "") + '\n\t\t' + (this.props.md ? (0, _className.generateColClassName)('md', this.props.md) : "") + '\n\t\t' + (this.props.mdOffset ? (0, _className.generateColClassName)('md-offset', this.props.mdOffset) : "") + '\n\t\t' + (this.props.lg ? (0, _className.generateColClassName)('lg', this.props.lg) : "") + '\n\t\t' + (this.props.lgOffset ? (0, _className.generateColClassName)('lg-offset', this.props.lgOffset) : "") + '\n\t\t' + (this.props.last ? (0, _className.generateFlexClassNames)('last', this.props.last) : "") + '\n\t\t' + (this.props.first ? (0, _className.generateFlexClassNames)('first', this.props.first) : "") + '\n\t\t';
		}

		/**
   * @constructor
   */

	}]);

	function Col() {
		_classCallCheck(this, Col);

		return _possibleConstructorReturn(this, (Col.__proto__ || Object.getPrototypeOf(Col)).call(this));
	}

	/**
  * Render Component
  * @return {XML} xml
  */


	_createClass(Col, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				{ className: this.class },
				this.props.children
			);
		}
	}]);

	return Col;
}(_react2.default.Component);

Col.propTypes = {
	xs: _propTypes2.default.number,
	xsOffset: _propTypes2.default.number,
	sm: _propTypes2.default.number,
	smOffset: _propTypes2.default.number,
	md: _propTypes2.default.number,
	mdOffset: _propTypes2.default.number,
	lg: _propTypes2.default.number,
	lgOffset: _propTypes2.default.number,
	first: _propTypes2.default.arrayOf(_propTypes2.default.string),
	last: _propTypes2.default.arrayOf(_propTypes2.default.string),
	children: _propTypes2.default.node
};
exports.default = Col;